Loading...
Searching...
No Matches
pappso::TimsDiaSlices::FrameSliceRange Struct Reference

## Public Attributes

std::size_t | frame_id
std::size_t | begin_global_slice_index
std::size_t | end_global_slice_index

## Detailed Description

Definition at line 128 of file timsdiaslices.h.

## Member Data Documentation

## begin_global_slice_index

std::size_t pappso::TimsDiaSlices::FrameSliceRange::begin_global_slice_index

Definition at line 131 of file timsdiaslices.h.

Referenced by pappso::TimsDiaSlices::getCombinedMs2ScansByGlobalSliceIndex(), pappso::TimsDiaSlices::getMs1QualifiedSpectrumByGlobalSliceIndex(), pappso::TimsDiaSlices::getMs2QualifiedSpectrumByGlobalSliceIndex(), and pappso::TimsDiaSlices::getMsMsWindowByGlobalSliceIndex().

## end_global_slice_index

std::size_t pappso::TimsDiaSlices::FrameSliceRange::end_global_slice_index

Definition at line 132 of file timsdiaslices.h.

## frame_id

std::size_t pappso::TimsDiaSlices::FrameSliceRange::frame_id

Definition at line 130 of file timsdiaslices.h.

Referenced by pappso::TimsDiaSlices::getCombinedMs2ScansByGlobalSliceIndex(), pappso::TimsDiaSlices::getMs1QualifiedSpectrumByGlobalSliceIndex(), pappso::TimsDiaSlices::getMs2QualifiedSpectrumByGlobalSliceIndex(), and pappso::TimsDiaSlices::getMsMsWindowByGlobalSliceIndex().

The documentation for this struct was generated from the following file:

- pappsomspp/core/vendors/tims/timsdiaslices.h